Name:		sar2
Version:	2.3.2
Release:	%mkrel 1
Summary:	An open source helicopter simulator
Group:		Games/Simulation
# Code is GPLv2+
# Content is either GPLv2+ or Public Domain
License:	GPLv2+
URL:		http://sar2.sourceforge.net/
Source0:	https://github.com/SearchAndRescue2/%{name}/archive/v%{version}.tar.gz
BuildRequires:	desktop-file-utils
BuildRequires:	scons
BuildRequires:	libx11-devel
BuildRequires:	libsm-devel
BuildRequires:	libxmu-devel
BuildRequires:	libxi-devel
BuildRequires:	SDL-devel
BuildRequires:	SDL_image-devel
BuildRequires:	openal-soft-devel
BuildRequires:	freealut-devel
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	ice-devel
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	libxext-devel
BuildRequires:	libxpm-devel

%description
Search and Rescue II is a rescue helicopter simulator for Linux. It features 
several missions in which the player pilots a helicopter in order to rescue 
people in distress. There are several scenarios and helicopter models.

Search and Rescue II has a strong focus on realistic physics and low graphics 
requirements. It is a fork of the game "Search and Rescue" 
(http://searchandrescue.sf.net), originally developed by Wolfpack 
Entertainment.

%prep
%setup -q

%build
%scons

%install
# install.sh is pretty dumb.
mkdir -p %{buildroot}%{_datadir}/%{name}
mkdir -p %{buildroot}%{_mandir}/man6
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/48x48/
mkdir -p %{buildroot}%{_datadir}/pixmaps/

cp -ar data/* %{buildroot}%{_datadir}/%{name}/
cp -a man/* %{buildroot}%{_mandir}/man6
cp -a bin/%{name} %{buildroot}%{_bindir}
cp -a extra/%{name}.xpm %{buildroot}%{_datadir}/icons/hicolor/48x48/
cp -a src/icons/SearchAndRescue.xpm %{buildroot}%{_datadir}/pixmaps/
desktop-file-install --dir=%{buildroot}%{_datadir}/applications extra/%{name}.desktop


%files
%doc AUTHORS CHANGELOG HACKING LICENSE README
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/%{name}.xpm
%{_datadir}/pixmaps/SearchAndRescue.xpm 
%{_mandir}/man6/*



%changelog
* Mon Dec 26 2016 zezinho <zezinho> 2.3.2-1.mga6
+ Revision: 1077847
- new version

* Mon Dec 19 2016 zezinho <zezinho> 2.3.0-1.mga6
+ Revision: 1076064
- imported package sar2

